Emuladores en GNU/Linux

Ayuda y comentarios sobre juegos y emuladores en Linux.
PICCORO

Mensaje por PICCORO »

la guia trastoca mucho el systema, pero informacion es informacio donde sea!

el dghen es mucho mas optimizado que gens, pero de menor compatibilidad con roms, el gens corre solo sega de consolas de 16 bit (genesys, megadribve, sega-cd 32x)

para gamegear usen osmose y su fronend es wxosmose

megabyte, si tienes amd64 usa mis paquetes, de mupen64, que yo sepa si corren muy bien.

Avatar de Usuario
finwe_dun
Forista Medio
Forista Medio
Mensajes: 160
Registrado: Vie Mar 28, 2008 8:00 am
Ubicación: home/tierra/america/mexico/Jalisco/guadalajara

Re: Emuladores en GNU/Linux

Mensaje por finwe_dun »

disculpen por la pregunta tan obvia y tan tonta, pero estos emuladores sirven para cualquier SO, basado en linux, es decir funcionan igual para ubuntu, que para fedora o mandriva y para openSUSE?, se instalan igual? e incluso con el mismo SO se instalan igual en entorno GNOME o KDE?

y no solo para los juegos, tambien me interesaria saber si cualquier programa se emplea igual en todos los SO, o hay programas especiales para cada uno de ellos?

Gracias....

Saludos y disculpen la pregunta que yo se que tal vez sea un poco tonta pero como alguna vez me dijeron, no hay preguntas tontas, solo tontos que no preguntan.....

PICCORO

Mensaje por PICCORO »

nosotros mismos hacemos que una pregunta interesante sea una tonta, tranquilo, no lo fuera si leyeras los readmes que TODOS los codigos y programas traen adentro del codigo fuente, pues para instalarlos debes compilarlos... LEE LOS READMES Y TE CONTESTARAS, siempre las preguntas que tu creas que son tontas, porque no hay pregunta tonta, sino tonteria no realizada!!! (como leer)

de: http://qgqlochekone.blogspot.com
mis paquetes, asi como la seleccion de emuladores y los roms que se piden por correo, aseeguran solo a debian, no uso guindo...

las fuentes son para cualquier os, basado en unix, y aseguran se compilan en cualquier linux, sea la distro de tupreferencia.

en el blog, estoy paulatinamente publicando paquetes de emuladores, optimizados y con cambios en la organizacion, ya que el "gamer" necesit controlar los salvados y otras cosas como lo ips y los igp, cosa que no es tomada en cuante en linux ya que hay una filosofia distinta y particionada por usuarios, a diferencia a la de los emuladores en si, que el codigo original tiene todo a la vista para administracion del gamer!

espero esto te aclare muchas dudas sobre los progrmas de emulacion en linux y los juegos (que tambien pondre en el blog!)

Avatar de Usuario
megabyte
Forista Ancestral
Forista Ancestral
Mensajes: 4646
Registrado: Jue Ene 27, 2005 8:00 am
Ubicación: México

Re: Emuladores en GNU/Linux

Mensaje por megabyte »

finwe_dun escribió:disculpen por la pregunta tan obvia y tan tonta, pero estos emuladores sirven para cualquier SO, basado en linux, es decir funcionan igual para ubuntu, que para fedora o mandriva y para openSUSE?, se instalan igual? e incluso con el mismo SO se instalan igual en entorno GNOME o KDE?

y no solo para los juegos, tambien me interesaria saber si cualquier programa se emplea igual en todos los SO, o hay programas especiales para cada uno de ellos?

Gracias....

Saludos y disculpen la pregunta que yo se que tal vez sea un poco tonta pero como alguna vez me dijeron, no hay preguntas tontas, solo tontos que no preguntan.....
Linux es el kernel o motor de un sistema operativo, la analogia que se suele usar con las distros, es como la de ediciones de un mismo llibro

ejemplo, el quijote lo puedes obtener en versiones de bolsillo, versiones para niños, con ilustraciones infantiles o ilustraciones de renombrados artistas, en formato para debiles visuales (letras grandes), en audio, etc etc, todas esas ediciones son el mismo Quijote, no han cambiado en nada la historia salvo la forma de presentarlo de acuerdo al publico al que va dirigido.

asi lo mismo con los sistemas operativos basados en GNU/Linux, todos son la misma historia, salvo por las diferencias que el editor ha marcado de acuerdo al publico al que se dirigen, cada edición es llamada distribución o distro GNU/Linux

de ahi que un programa que diga hecho para Linux, funcionara en cualquier distribución del sistema operativo GNU/Linux, porque fue pensado en el motor linux y no en otros motores como por ejemplo windows, o macOS, aunque existen los programas multiplataforma que funcionan en distintos sistemas operativos o distintos microprocesadores

ahora no se instalaran igual, pero si funcionaran igual en cualquiera, el metodo de instalación en cada distro es diferente por lo tanto deberas conocer cual es el metodo de la distro que estes usando.

La forma más fácil de instalar en cualquier distro GNU/Linux es usando sus repositorios (buscar en el foro), el segundo metodo consiste en compilar si es que el programa a usar se distribuye libremente, en ese caso se puede obtener el código fuente y la compilación es igual en cualquier distro (buscar en el foro)


una programa para entorno gráfico funcionara de igual forma en kde, gnome, xfce, icewm, fluxbox, etc, todos esos son sólo formas de presentar los programas de forma grafica (buscar en el foro la diferencia), es decir una ventana que se pueda maximizar o minimizar, un cursor, iconos, etc


en resumen, un programa ejecutandose en mandriva, suse, fedora, ubuntu, en todos ellos usando kde, el programa funcionara igual en todos, lo mismo si se cambia el kde por gnome u otro, no tienes que aprender nada diferente al cambiar de una distro o un entorno gráfico, tu programa trabajara como el programador haya querido que trabaje.


no hay nada como "un programa para ubuntu o un programa para mandriva", lo que hay es un programa para GNU/Linux que funcionara tanto en ubuntu o mandriva, o las demas distros.


en la imagen que mostre al inicio, puedes ver como lucen algunos emuladores en GNU/Linux, en este caso en mandrake 10, pero luciran igual en mandriva 2008, o en ubuntu, fedora, o cualquier otra distro
[url=http://www.espaciolinux.com/postt775.html]Reglamento del foro[/url]| [url=http://www.espaciolinux.com/articulo-776.html]Escribe correctamente[/url]| [url=http://www.mandriva.com/en/community/resources/documentation]Mandriva 2006 Docs[/url]

PICCORO

Mensaje por PICCORO »

ehh... si si eso mismo.

Avatar de Usuario
finwe_dun
Forista Medio
Forista Medio
Mensajes: 160
Registrado: Vie Mar 28, 2008 8:00 am
Ubicación: home/tierra/america/mexico/Jalisco/guadalajara

Re: Emuladores en GNU/Linux

Mensaje por finwe_dun »

Muchas gracias, mi duda a quedado aclarada, ya mas omenos estoy aprendiendo a compilar y descargar los repositoiros y ahora se qeu no importa cual distro utilice, puedo instalar cualquier programa, nuevamente gracias a los dos, piccoro y megabyte, por su ayuda, esto hace mas faciles las cosas para mi ahora que soy parte de la gran familia linux....
::lol::

Avatar de Usuario
soul1983
Forista Menor
Forista Menor
Mensajes: 76
Registrado: Jue Ago 09, 2007 7:00 am
Ubicación: Mexicana

Mensaje por soul1983 »

Despues de tanto batallar( y que lio de compilar al ps2) pude hacerlo emular, pero aun esta muy lento mientras que en los intro me esta corriendo a 70-90 fps al comenzar el juego me baja cañonsisimo hasta 4-8 fps creo que aun le falta un poco mas a este emulador.

Y hasta eso solo lo puedo correr en una maquina a 2.5 con 2 gygas en ram y 256 de video independiente. Bueno como nop se poner las imagenes para que lo chequen se las debo en cuanto sepa como hacerlo actualizo el post.

saludos
Por mi Raza hablara el Espiritu

Avatar de Usuario
ExEKieLiTo
Forista Legendario
Forista Legendario
Mensajes: 2106
Registrado: Vie Dic 07, 2007 8:00 am
Ubicación: /dev/Argentina/buenos aires

Re: Emuladores en GNU/Linux

Mensaje por ExEKieLiTo »

es logico que en las presentaciones los fps sean "exagerados" ya que son videos y no tiene que realizar texturas ni nada por el estilo ....

es como si estubieras viendo una pelicula, la cosa es despues cuando debe renderizar todas las texturas para el juego.
Amd 3600 x2 Dual Core - 2 gb Ram - Nvidia Gforce 7300 GS - Sata2 250 GB
--
Corriendo Slackware 12

Avatar de Usuario
ORBVS
Forista Nuevo
Forista Nuevo
Mensajes: 28
Registrado: Lun Nov 14, 2005 8:00 am
Contactar:

Re: Emuladores en GNU/Linux

Mensaje por ORBVS »

Tengo ROMs para:

Atari 2600
NES
SNES
Genesis
TurboGrafx-16

Manden un mensaje privado (mientras no sean agentes de la INTERPOL) :) para una lista.

Imagen

Avatar de Usuario
vampir
Forista Distinguido
Forista Distinguido
Mensajes: 1031
Registrado: Mar Nov 21, 2006 8:00 am
Ubicación: Mi casa, Sant marçal, marratxí, mallorca, baleares, españa, europa, el mundo, planeta solar...
Contactar:

Re: Emuladores en GNU/Linux

Mensaje por vampir »

como configuro el mupen64plus?¿
me desrgue la ultima version, instale y eecute desde consola (para ver errores)

salida del mismo

Código: Seleccionar todo

vampir@Toni:~$ mupen64plus 
 __  __                         __   _  _   ____  _             
|  \/  |_   _ _ __   ___ _ __  / /_ | || | |  _ \| |_   _ ___ 
| |\/| | | | | '_ \ / _ \ '_ \| '_ \| || |_| |_) | | | | / __|  
| |  | | |_| | |_) |  __/ | | | (_) |__   _|  __/| | |_| \__ \  
|_|  |_|\__,_| .__/ \___|_| |_|\___/   |_| |_|   |_|\__,_|___/  
             |_|         http://code.google.com/p/mupen64plus/  
Mupen64Plus Console User-Interface Version 1.99.1

UI-console: attached to core library 'Mupen64Plus Core' version 1.99.1
            Includes support for Dynamic Recompiler.
Error: no ROM filepath given
si ejecuto algun rom

Código: Seleccionar todo

vampir@Toni:~$ mupen64plus roms/The\ Legend\ of\ Zelda\ Ocarina\ of\ Time\ Master\ Quest\ \(E\)S.z64 
 __  __                         __   _  _   ____  _             
|  \/  |_   _ _ __   ___ _ __  / /_ | || | |  _ \| |_   _ ___ 
| |\/| | | | | '_ \ / _ \ '_ \| '_ \| || |_| |_) | | | | / __|  
| |  | | |_| | |_) |  __/ | | | (_) |__   _|  __/| | |_| \__ \  
|_|  |_|\__,_| .__/ \___|_| |_|\___/   |_| |_|   |_|\__,_|___/  
             |_|         http://code.google.com/p/mupen64plus/  
Mupen64Plus Console User-Interface Version 1.99.1

UI-console: attached to core library 'Mupen64Plus Core' version 1.99.1
            Includes support for Dynamic Recompiler.
Core: Goodname: Legend of Zelda, The - Ocarina of Time - Master Quest (E) (GC) [h1C]
Core: Name: THE LEGEND OF ZELDA
Core: MD5: 508A22E9BB14AB8D9A1A936C2A120210
Core: CRC: 1d4136f3 af63eea9
Core: Imagetype: .z64 (native)
Core: Rom size: 33554432 bytes (or 32 Mb or 256 Megabits)
Core: Version: 144c
Core: Manufacturer: Nintendo
Core: Country: Unknown (0xF50)
UI-Console: Cheat codes disabled.
UI-console: using Video plugin: 'Mupen64Plus OpenGL Video Plugin by Rice' v1.99.1
UI-console: using Audio plugin: 'Mupen64Plus SDL Audio Plugin' v1.99.1
UI-console: using Input plugin: 'Mupen64Plus SDL Input Plugin' v1.99.1
UI-console: using RSP plugin: 'Hacktarux/Azimer High-Level Emulation RSP Plugin' v1.99.1
Input Warning: No joysticks/controllers found
Input: Forcing keyboard input for N64 controller #1
Input: N64 Controller #1: Enabled, using auto-configuration for joystick 'Keyboard'
Input: Mupen64Plus SDL Input Plugin version 1.99.1 initialized.
Video: SSE processing enabled.
Video: Found ROM 'THE LEGEND OF ZELDA', CRC f336411da9ee63af-50
Video: Enabled hacks for game: 'THE LEGEND OF ZELDA'
Video: Initializing OpenGL Device Context.
Core: Setting 32-bit video mode: 640x480
Core Error: SDL_SetVideoMode failed: Could not create GL context
Video Error: Failed to set 32-bit video mode: 640x480
Violación de segmento
una ayudita plis
linux user #439128
DebianSqueeze
http://www.acarrasco.es

Proyecto:
http://alejandria.host56.com

Código: Seleccionar todo

No sé juntar "informática" y "legal" en una misma palabra....
yo sí: LINUX

Avatar de Usuario
CRFADO
Forista Nuevo
Forista Nuevo
Mensajes: 2
Registrado: Lun Jul 11, 2016 7:40 am

Emuladores en GNU/Linux

Mensaje por CRFADO »

Qué tal EL!
No supe como iniciar un nuevo tema en el foro, por lo que describo aquí mi consulta en relación al emulador Crocodile Technology.
Descargué el emulador Crocodile Technology e instale con WIne, pero está en inglés y quisiera saber cómo cambiar al español, ya sea usando la terminal u otra forma. Tengo los archivos para cambiar el idioma pero no encontre el raiz para pegar y cambiar. Mi S.O. es Huayra 3.2
Agradecería me indicaran los pasos para cambiar a español este emulador. Gracias

Avatar de Usuario
Waterbear
Forista Nuevo
Forista Nuevo
Mensajes: 11
Registrado: Vie Sep 16, 2016 10:29 pm

Re: Emuladores en GNU/Linux

Mensaje por Waterbear »

Hola , no se mucho de juegos en linux , me gustaría jugar al battlefield 3 en el pingüino , ¿ alguien sabe si existe algun emulador ?.
y para el CoDMW3 .Gracias
...Not to protect it from the people I was giving it to... to protect it from me, from people like us, from the things we'd do with it. That's why I'll never help you get control of it.
Root: I know. You won't have to. Because, you see, Harold, I don't want to control your machine
...Root: I just want to set it free.
----------------------------------------------------------------------- Person of interest ----------------------------------------------------------------------------

Alex2506
Forista Nuevo
Forista Nuevo
Mensajes: 1
Registrado: Dom May 14, 2017 3:51 pm

Re: Emuladores en GNU/Linux

Mensaje por Alex2506 »

Hey muchachos, esta es mi primera participacion en el foro, resulta que tengo un error al instalar wine, ya he hecho el configure y el make, pero a la hora de einstalar el paquete sale este error.
sudo dpkg -i wine_2.8-1_i386.deb
(Leyendo la base de datos ... 425675 ficheros o directorios instalados actualmente.)
Preparando para desempaquetar wine_2.8-1_i386.deb ...
Desempaquetando wine (2.8-1) ...
dpkg: error al procesar el archivo wine_2.8-1_i386.deb (--install):
intentando sobreescribir `/usr/share/wine/fonts/coue1255.fon', que está también en el paquete fonts-wine 1.8.7-2
dpkg-deb: error: el subproceso copiado fue terminado por la señal (Tubería rota)
Procesando disparadores para desktop-file-utils (0.23-1) ...
Procesando disparadores para mime-support (3.60) ...
Procesando disparadores para man-db (2.7.6.1-2) ...
Se encontraron errores al procesar:
wine_2.8-1_i386.deb


La version de linux que tengo es kali 2017
Agradeceria su ayuda chicos

Avatar de Usuario
doc
Forista Ancestral
Forista Ancestral
Mensajes: 3477
Registrado: Mié Ago 11, 2010 10:32 am
Ubicación: Oviedo-es_ES
Contactar:

Re: Emuladores en GNU/Linux

Mensaje por doc »

¿ayuda para usar en Linux programas diseñados para Windows...? :| :|

Responder
  • Temas similares
    Respuestas
    Vistas
    Último mensaje